function BK = DrawText(WSS, DisplayText, TextProps, BK, ComSet)
% BK = DrawText(WSS, DisplayText, TextProps, BK, ComSet)
%
%******************************************************************
%
% Written by Cameron Rodriguez
% Last Modified 2012/07/03
%
%******************************************************************
%
% see also: PTB4NITP, Activate_Screens, NITPParadigm, ...
%           RealTimeAnalysis_NITP, GetKeyPress, ...
%           PlayAudio, DrawImage, WaitForTR
%
%******************************************************************

%% Set Defaults

DefaultSz = 36;

%% Unpack Structs

DAQ = ComSet.DAQ;
EEG = ComSet.EEG;
NSC = ComSet.NSC;
DIO = ComSet.DIO;
Event = ComSet.Event;
code = ComSet.code;

TextColor = TextProps.TextColor;
if isfield(TextProps, 'TextSz')
    TextSz = TextProps.TextSz;
else
    TextSz = DefaultSz;
end

%% Resize Text if Needed
if TextSz ~= DefaultSz
    Screen('TextSize', WSS, TextSz);
end

%% Draw Text
switch Event
    case 1 % Block 1 event
        pin = 3;
    case 2 % Block 2 event
        pin = 5;
    case 3 % Block 3 event
        pin = 7;
    case 4 % Block 4 event
        pin = 9;
end

% Draw / Display Text            
DrawFormattedText(WSS, DisplayText, 'center', 'center', TextColor, 40);
BK.TimeStamps(BK.j) = Screen('Flip',WSS);

if EEG == 1
    if DAQ == 1
        DIO.digitalWrite(pin,1)
        DIO.digitalWrite(pin,0)
    end
    NetStation('Event', NSC{pin-1}, BK.TimeStamps(BK.j)); % Send event to Net Station
end

disp(DisplayText)

BK.KeyCodes(BK.j) = -1;
BK.TimeCodes(BK.j) = code;
BK.j = BK.j+1; % Advance Counter
end