function [BK, TimeElapsed, Rbutton] = GetKeyPress(Keys, BK, timeout, ComSet)
% [BK, TimeElapsed, Rbutton] = GetKeyPress(Keys, BK, timeout, ComSet)
%
%******************************************************************
%
% Written by Cameron Rodriguez
% Last Modified 2012/07/03
%
%******************************************************************
%
% see also: PTB4NITP, Activate_Screens, NITPParadigm, ...
%           RealTimeAnalysis_NITP, DrawText, DrawImage, ...
%           PlayAudio, WaitForTR
%
%******************************************************************
%% Set Defualts
%% Unpack Structs

DAQ = ComSet.DAQ;
EEG = ComSet.EEG;
NSC = ComSet.NSC;
DIO = ComSet.DIO;
Event = ComSet.Event;
code = ComSet.code;

%%

if nargin < 3 % Set Default
    timeout = 5;
end

tic; % Start Timer

% Wait For Key Press till timout / Get Responce   
    keyIsDown=0;
    while KbCheck(-1); end % clear keyboard queue
    while ( (keyIsDown == 0) && (toc < timeout) )
        [keyIsDown, KeyPressTime, keyCode] = KbCheck(-1);
        if keyIsDown == 1
           if (keyCode(Keys.TRKey1) | keyCode(Keys.TRKey2) | keyCode(Keys.TRKB))
               keyIsDown = 0;
           end           
        end
    end
    
    if keyIsDown ~= 0 % Key was pressed
        BK.TimeStamps(BK.j) = KeyPressTime;
        BK.KeyCodes(BK.j) = find(keyCode,1);
    else % no anwser
        BK.TimeStamps(BK.j) = GetSecs;
        BK.KeyCodes(BK.j) = -1;
    end
    BK.TimeCodes(BK.j) = code;
    BK.j = BK.j+1; % Advance Counter

    if keyCode(Keys.KB1) == 1
       Rbutton = 1;
       TimeElapsed = toc;
    elseif keyCode(Keys.BB1) == 1
       Rbutton = 1;
       TimeElapsed = toc;
    elseif keyCode(Keys.KB2) == 1
       Rbutton = 2;
       TimeElapsed = toc;
    elseif keyCode(Keys.BB2) == 1
       Rbutton = 2;
       TimeElapsed = toc;
    elseif keyCode(Keys.KB3) == 1
       Rbutton = 3;
       TimeElapsed = toc;
    elseif keyCode(Keys.BB3) == 1
       Rbutton = 3;
       TimeElapsed = toc;
    elseif keyCode(Keys.KB4) == 1
       Rbutton = 4;
       TimeElapsed = toc;
    elseif keyCode(Keys.BB4) == 1
       Rbutton = 4;
       TimeElapsed = toc;
    else
       Rbutton = -1;
       TimeElapsed = toc;
    end

end
