function [BK, ODK] = WaitForTR(WSS, Keys, BK)
% [BK, ODK] = WaitForTR(WSS, Keys, BK)
%
%******************************************************************
%
% Written by Cameron Rodriguez
% Last Modified 2012/07/03
%
%******************************************************************
%
% see also: PTB4NITP, Activate_Screens, NITPParadigm, ...
%           RealTimeAnalysis_NITP, DrawText, DrawImage, ...
%           GetKeyPress, PlayAudio
%
%******************************************************************

%% Set Defaults

%% Unpack Structs

%%

        Text = 'Waiting for MRI scan to begin...';
        DrawFormattedText(WSS, Text, 'center', 'center', 0 , 45);
        Screen('Flip',WSS);
        disp(Text)

        while KbCheck(-1); end % clear keyboard queue
        Scanning = 0;
        while Scanning ~= 1
            [keyIsDown, TimePt, keyCode] = KbCheck(-1);
            if ( keyCode(Keys.TRKey1) | ...
                 keyCode(Keys.TRKey2) | ...
                 keyCode(Keys.TRKB) )
                Scanning = 1; disp('Scan Has Begun');
                BK.TimeStamps(BK.j) = TimePt;
                BK.TimeCodes(BK.j)  = 1;
                BK.KeyCodes(BK.j)   = find(keyCode,1);
            end
        end

        % Keep KbCheck for looking for the TR signals
        % olddisabledkeys = ODK
        ODK = DisableKeysForKbCheck([KbName('T'),KbName('5')]);      
        BK.j = BK.j+1; % Advance Counter
end